## visad.java2d
Class DefaultRendererJ2D

    java.lang.Object
      visad.DataRenderer
          visad.java2d.RendererJ2D
              visad.java2d.DefaultRendererJ2D

All Implemented Interfaces:
  Cloneable

Direct Known Subclasses:
  BarbRendererJ2D

public class DefaultRendererJ2D
extends RendererJ2D

DefaultRendererJ2D is the VisAD class for the default graphics rendering algorithm under Java2D.

Field Summary
`(package private) DataDisplayLink` `link`

Fields inherited from class visad.java2d.RendererJ2D
`swit, swParent`

Fields inherited from class visad.DataRenderer
`enabled, pickCrawlToCursor`

Constructor Summary
`DefaultRendererJ2D()` this is the default DataRenderer used by the addReference method for DisplayImplJ2D

Method Summary
`(package private) void` `addSwitch(DisplayRendererJ2D displayRenderer, VisADGroup branch)`
`Object` `clone()`
`VisADGroup` `doTransform()` create a VisADGroup scene graph for Data in links[0]
`DataDisplayLink` `getLink()` used by ShadowFunctionOrSetType for transform time-out hack
`void` `setLinks(DataDisplayLink[] links, DisplayImpl d)` set DataDisplayLinks for linked Data, and set associated DisplayImpl

Methods inherited from class visad.java2d.RendererJ2D
`clearBranch, clearScene, doAction, makeShadowFunctionType, makeShadowRealTupleType, makeShadowRealType, makeShadowSetType, makeShadowTextType, makeShadowTupleType, toggle`

Methods inherited from class visad.DataRenderer

`addException, addPoint, checkAction, checkClose, checkDirect, clearAVControls, clearExceptions, computeRanges, drag_direct, earthToSpatial, earthToSpatial, findRayManifoldIntersection, get_all_feasible, get_any_changed, get_any_transform_control, getBadScale, getDisplay, getDisplayCoordinateSystem, getDisplayRenderer, getEarthDimension, getEarthUnits, getEnabled, getExceptionVector, getIsDirectManipulation, getLastMouseModifiers, getLatLonIndices, getLatLonRange, getLinks, getPickCrawlToCursor, getRanges, getRealVectorTypes, getWhyNotDirect, isLegalTextureMap, isTransformControl, prepareAction, realCheckDirect, release_direct, removeLink, set_all_feasible, setDisplay, setDisplayRenderer, setEarthSpatialData, setEarthSpatialDisplay, setIsDirectManipulation, setLastMouseModifiers, setLatLonIndices, setLinks, setPickCrawlToCursor, setSpatialValues, spatialToEarth, spatialToEarth, stop_direct, suppressExceptions`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### link

    DataDisplayLink link

Constructor Detail

### DefaultRendererJ2D

    public DefaultRendererJ2D()

  this is the default DataRenderer used by the addReference method for DisplayImplJ2D

Method Detail

### setLinks

    public void setLinks(DataDisplayLink[] links,
                         DisplayImpl d)
                  throws VisADException

  Description copied from class: `DataRenderer`
  set DataDisplayLinks for linked Data, and set associated DisplayImpl

  Overrides:
    `setLinks` in class `RendererJ2D`
  Throws:
    `VisADException`

### doTransform

    public VisADGroup doTransform()
                           throws VisADException,
                                  RemoteException

  create a VisADGroup scene graph for Data in links[0]

  Specified by:
    `doTransform` in class `RendererJ2D`
  Throws:
    `VisADException`
    `RemoteException`

### addSwitch

    void addSwitch(DisplayRendererJ2D displayRenderer,
                   VisADGroup branch)
             throws VisADException

  Specified by:
    `addSwitch` in class `RendererJ2D`
  Throws:
    `VisADException`

### getLink

    public DataDisplayLink getLink()

  Description copied from class: `DataRenderer`
  used by ShadowFunctionOrSetType for transform time-out hack

  Overrides:
    `getLink` in class `DataRenderer`
  Returns:
    single DataDisplayLink (over-ridden by sub-classes)

### clone

    public Object clone()

  Specified by:
    `clone` in class `DataRenderer`
  Returns:
    a copy of this DataRenderer